Subject: Re: [Mentoring-coordinators] EDU/mentoring discussion with the IESG

From: <[email-masked]>
Date: Wed, 18 May 2016 02:06:37 +0000 (UTC)

>Mentoring and EDU should work together. We should really rethink the full experience.

Guys,  

I have a bunch of ideas of how we can "rethink the full experience".  That is really the way to go.   

It needs to be an integrated experience for the "customer" - the IETF participant, yet clearly organized so everyone knows their responsibilities.

I have an idea for the newcomer's Meet & Greet.  And, also for how EDU / mentoring / etc can work together to get new-ish people really up to speed.   (Once we conquer the new people challenge, then we can start on the intermediate!).

What is the next step?

Let's set up regular meetings.  I am very excited.

Thanks,
Nalini